﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Collections;

namespace DCMS_Framework {
  public class BrokenBusinessRules : IEnumerable<BusinessRule> {
    private List<BusinessRule> brokenRules = new List<BusinessRule>( );

    public int Count {
      get { return brokenRules.Count; }
    }

    public void Add( BusinessRule rule ) {
      brokenRules.Add( rule );
    }

    public void Remove( BusinessRule rule ) {
      brokenRules.Remove( rule );
    }



    public void Clear( ) {
      brokenRules.Clear( );
    }


    #region IEnumerable<BusinessRule> Members

    public IEnumerator<BusinessRule> GetEnumerator( ) {
      return brokenRules.GetEnumerator( );
    }

    #endregion

    #region IEnumerable Members

    IEnumerator IEnumerable.GetEnumerator( ) {
      return ( IEnumerator ) GetEnumerator( );
    }

    #endregion
  }
}
