﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BusinessObjects {
  /// <summary>
  /// Address object
  /// </summary>
  public class Address : CityZipcode {

    private string street;

    #region - Properties -

    /// <summary>
    /// Gets or sets the street.
    /// </summary>
    /// <value>
    /// The street.
    /// </value>
    public string Street {
      get { return street; }
      set {
        SetField( ref street, value, "Street" );
      }
    }

    #endregion

    #region - Constructors -

    /// <summary>
    /// Initializes a new instance of the <see cref="Address"/> class.
    /// </summary>
    public Address( ) { }

    #endregion

  }
}
