﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BusinessObjects {
  /// <summary>
  /// Parents employer object
  /// </summary>
  public class ParentEmployer : Person {

    /// <summary>
    /// Initializes a new instance of the <see cref="ParentEmployer"/> class.
    /// </summary>
    public ParentEmployer( ) {  }

    /// <summary>
    /// Initializes a new instance of the <see cref="ParentEmployer"/> class.
    /// </summary>
    /// <param name="name">The name.</param>
    /// <param name="address">The address.</param>
    /// <param name="phone">The phone.</param>
    public ParentEmployer( string name, Address address, string phone )
      : this( ) {
      this.Name = name;
      this.Address = address;
      this.Phone = phone;
    }

  }
}
