﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Common;

namespace Presentation {
  /// <summary>
  /// First run form
  /// </summary>
  public partial class FirstRunForm : Form {

    /// <summary>
    /// Initializes a new instance of the <see cref="FirstRunForm"/> class.
    /// </summary>
    public FirstRunForm( ) {
      InitializeComponent( );
    }

    private void nextButton_Click( object sender, EventArgs e ) {
      SettingsForm form = new SettingsForm( );
      form.Show( );
    }

    private void FirstRunForm_FormClosing( object sender, FormClosingEventArgs e ) {
      if ( SettingsSingleton.Settings.FirstRun ) {
        Application.Exit( );
      }
    }
  }
}
