﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace DCMS_Framework {
  public class BusinessRule {

    private string name, description, property;

    #region - Properties -

    /// <summary>
    /// Gets or sets the property.
    /// </summary>
    /// <value>
    /// The property.
    /// </value>
    public string Property {
      get { return property; }
      set { property = value; }
    }

    /// <summary>
    /// Gets the description.
    /// </summary>
    public string Description {
      get { return description; }
    }

    /// <summary>
    /// Gets the name.
    /// </summary>
    public string Name {
      get { return name; }
    }

    #endregion

    #region - Constructor -

    public BusinessRule( string name, string description ) {
      this.name = name;
      this.description = description;
    }

    public BusinessRule( string name, string description, string property )
      : this( name, description ) {
      this.property = property;
    }

    #endregion


  }
}
