﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace StringUtils {
  /// <summary>
  /// Common String funtions
  /// </summary>
  public static class StringFunctions {

    /// <summary>
    /// Determines whether a string is empty (Null, Empty or only spaces).
    /// </summary>
    /// <param name="value">The value.</param>
    /// <returns>
    ///   <c>true</c> if [is string empty] [the specified value]; otherwise, <c>false</c>.
    /// </returns>
    public static bool IsStringEmpty( string value ) {
      return string.IsNullOrEmpty( value ) && string.IsNullOrEmpty( value.Trim( ) );
    }

  }
}
